FileHandler (Oracle - Berkeley DB Java Edition API)
Date: 2014-12-16

com.sleepycat.je.util

## Class FileHandler

- java.lang.Object
- - java.util.logging.Handler
  - - java.util.logging.StreamHandler
    - - java.util.logging.FileHandler
      - - com.sleepycat.je.util.FileHandler

-     public class FileHandler
      extends FileHandler

  JE instances of java.util.logging.Logger are configured to use this implementation of java.util.logging.FileHandler. By default, the handler's level is `Level.INFO` To enable the console output, use the standard java.util.logging.LogManager configuration to set the desired level:

       com.sleepycat.je.util.FileHandler.level=INFO

  The default destination for this output is a circular set of files named <environmentHome>/je.info.# The logging file size can be configured with standard java.util.logging.FileHandler configuration.

  JE augments the java.util.logging API with a JE environment parameter for setting handler levels. This is described in greater detail in Chapter 12.Administering Berkeley DB Java Edition Applications

  See Also:
    Chapter 12. Logging, Using JE Trace Logging

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static boolean` | `STIFLE_DEFAULT_ERROR_MANAGER`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FileHandler(String pattern, int limit, int count, Formatter formatter, com.sleepycat.je.dbi.EnvironmentImpl envImpl)`

  - ### Method Summary

    - ### Methods inherited from class java.util.logging.FileHandler

      `close, publish`

    - ### Methods inherited from class java.util.logging.StreamHandler

      `flush, isLoggable, setEncoding, setOutputStream`

    - ### Methods inherited from class java.util.logging.Handler

      `getEncoding, getErrorManager, getFilter, getFormatter, getLevel, reportError, setErrorManager, setFilter, setFormatter, setLevel`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### STIFLE_DEFAULT_ERROR_MANAGER

          public static boolean STIFLE_DEFAULT_ERROR_MANAGER

  - ### Constructor Detail

    - #### FileHandler

          public FileHandler(String pattern,
                     int limit,
                     int count,
                     Formatter formatter,
                     com.sleepycat.je.dbi.EnvironmentImpl envImpl)
                      throws SecurityException,
                             IOException

      Throws:
        `SecurityException`
        `IOException`

Copyright (c) 2004, 2014 Oracle and/or its affiliates. All rights reserved.